/*para formatear css*/
* {
  margin: 0;
  padding: 0;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  box-sizing: border-box;
  text-decoration: none;
}

/*PARA SUAVISAR EL MOVIMIENTO DE LAS INSTRUCCIONS DE MOUSE
ES PARA VER MEJOR HACIA DONDE SE MUEVEN LOS LINKS*/
html {
  scroll-behavior: smooth;
  /*______________________________________________________*/
}

/*color de fondo de todo el documento html Y COLOR DE LA FUENTE*/
body {
  background: #0070c0;
  color: white;
  padding: 0 0;
}

/*______________________________________________________*/
/*para posicionar foto principal*/
#header {
  width: 100%;
  height: 90vh;
  background-image: url(images/background.png);
  background-size: cover;
  background-position: center;
}

/*______________________________________________________*/

/*CSS PARA DEFINIR LAS MARGENES INTERIOES DEL CONTENERDOR Y DE 
TODAS LAS SECCIONES ESTE SE ENCUENTRA EN TODAS*/
.container {
  padding: 10px 5%;
}

/*______________________________________________________*/
/*CSS PARA LA BARRA DE NAVEGACION*/
nav {
  width: 100%;
  top: 0;
  left: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 5%;
  height: 100px;
  margin: 0px;
  }

/*______________________________________________________*/
/*CSS PARA DEFINIR EL TAMAÑO DEL LOGO*/
.logo {
  width: 200px;
}

/*______________________________________________________*/

/*CSS PARA LAS OPCIONES DEL MENU SUPERIOR*/
nav ul li {
  display: inline-block;
  list-style: none;
  margin: 10px 30px;
}



nav ul li a {
  color: #FAF5E9;
  font-size: 24px;
  position: relative;
}


nav ul li a::after {
  content: "";
  width: 0%;
  height: 4px;
  background: #0070C0;
  position: absolute;
  left: 0;
  bottom: -6px;
  transition: 1s;
}

nav ul li a:hover::after {
  width: 100%;
}

/*______________________________________________________*/

/*diseño del texto que acompaña el encabezado donde esta el lobo*/

.header-txt {
  margin-top: 10%;
  font-size: 22px;
}

.header-txt h1 {
  font-size: 35px;
  margin-top: 20px;
}

/*Color azul de la etiqueta wilo*/
.header-txt h2 span {
  color: #0099FF;
  
}

/*______________________________________________________*/

/*css para las dos columnas donde se encuentra about me*/

#about {
  padding: 30px 0;
  color: #f5f5f5;

}

.row {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

/*______________________________________________________*/

.about-col-1 {
  flex-basis: 35%;
  flex: 1 1 20%;
  padding: 20px;
}

/*redondea el marco de las imagenees del about me*/
.about-col-1 img {
  width: 70%;
  border-radius: 20px;
}

.about-col-2 {
  flex-basis: 65%;
}

/*css para ajustar los menus de about me*/
.sub-title {
  font-size: 35px;
  font-weight: 600;
  color: #ffd700;
}

.sub-title2 {
  font-size: 35px;
  font-weight: 600;
  color: #ffd700;
  text-align: center;
}


.about-col-2 p {
  font-size: 16.5px;
  text-align: justify;
}

/*______________________________________________________*/


/*CSS PARA LOS TITLES DE LA SECCION SOBRE MI*/
.tab-titles {
  display: flex;
  justify-content: space-between;
  margin: 20px 20% 30px;
}

.tab-links {
  color: #ffd700;
  margin-right: 40px;
  font-size: 18px;
  font-weight: 500;
  cursor: pointer;
  position: relative;
}

.tab-links::after {
  content: "";
  width: 0;
  height: 3px;
  background: orangered;
  position: absolute;
  left: 0;
  bottom: -8px;
  transition: 1.5s;
}

.tab-links.active-link::after {
  width: 100%;
}

/*CSS PARA EL CONTENIDO DE CADA UNA DE LAS SECCIONES SOBRE MI*/
.tab-contents ul li {
  list-style: none;
  margin: 10px 0;
  font-size: 16.5px;
  text-align: justify;
}

.tab-contents ul li span {
  color: #b0b0b0;
  /*--color: gray;--*/
  font-size: 16px;
}

.tab-contents {
  display: none;
}

.tab-contents.active-tab {
  display: block;
}

/*--------seccion de servicios----*/

#services {
  padding: 20px 0;
  background-color: black;
}

.services-List {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  grid-gap: 30px;
  margin-top: 50px;
}

.services-List div {
  background: #262626;
  padding: 40px;
  font-size: 16.5px;
  font-weight: 300;
  text-align: justify;
  border-radius: 20px;
  transition: background 1s, transform 1s;
}

.services-List div i {
  font-size: 50px;
  margin-bottom: 30px;
  color: rgba(5, 164, 247, 255);
}

.services-List div h2 {
  font-size: 30px;
  font-weight: 500;
  margin-bottom: 15px;
}

.services-List div a {
  text-decoration: none;
  color: #fff;
  font-size: 12px;
  margin-top: 20px;
  display: inline-block;
}

.services-List div:hover {
  background: #228b22;
  transform: translateY(-40px);
}

.btn {
  display: block;
  margin: 50px auto;
  width: fit-content;
  border: 1px solid #228b22;
  padding: 14px 50px;
  border-radius: 6px;
  text-decoration: none;
  color: white;
  transition: background 0.5s;
}

.btn:hover {
  background: red;
}


/*NUESTROS ALIADOS*/

#aliados {
  background: black;
  padding: 20px 0;
}

.containerAliados{
  margin-top: 20px;
}



.containerAliados {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;

}

.AsociadosTitle {
  justify-content: center;
  color: red;
  padding: 10 10 0 0;
}

.carta {
  background: white;
  width: 270px;
  margin: 10px;
  border-radius: 15px;
}

.card-image {

  height: 250px;
  margin-bottom: 15px;
  background-size: cover;
  border-radius: 15px 15px 0 0;
}

.car-1 {
  background-image: url(images/pereira.jpg);
}

.car-2 {
  background-image: url(images/dosquebradas.jpg);
}

.car-3 {
  background-image: url(images/risaralda.jpg);
}

.carta p {
  padding: 10px;
}

.carta a {
  background-color: #228b22;
  color: white;
  padding: 15px 20px;
  display: block;
  text-align: center;
  margin: 20px 50px;
  text-decoration: none;
}


.carta:hover {
  background-color: #0070c0;
  color: white;
  cursor: pointer;
  transform: scale(1.03);
  transition: all 1s ease;
}

.carta h2 {
  text-align: center;
  color: #ffd700;
}



/*-----------contact--------------*/

#contact {
  background-color: black;
}

.contact-left {
  flex-basis: 40%;
}

.contact-right {
  flex-basis: 60%;
}

.contact-left p {
  margin-top: 30px;
}

.contact-left p i {
  color: #228b22;
  margin-right: 15px;
  font-size: 25px;
}

.social-icons {
  margin-top: 30px;
}

.social-icons a {
  text-decoration: none;
  font-size: 30px;
  margin-right: 15px;
  color: gray;
  display: inline-block;
  transition: transform 0.5s;
}

.social-icons a:hover {
  color: #228b22;
  transform: translateY(-20px);
}

.btn.btn2 {
  /*display: inline-block;*/
  background: #228b22;


}

.nuestros {
  padding-top: 4%;
  text-align: center;
  font-weight: 500;
  color: #ffd700;
}

.slider {
  width: 100px;
  height: 100%;
}

/*slider section*/

.slider {
  width: 80vw;
  height: auto;
  margin: auto;
  padding-top: 30px;
  overflow: hidden;
}

.slider .slide-track {
  display: flex;
  /*--se pone el tamaño de las imagenes y la cantidad de las mismas para que funciones el slider automatico-----*/
  -webkit-animation: scroll 17s linear infinite;
  width: calc(200px * 12);
}

.slider .slide {
  width: 200px;

}

.slider .slide img {
  width: 100%;
}

@keyframes scroll {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }

  100% {
    -webkit-transform: translateX(-200px * 7);
    transform: translateX(calc(-200px * 7));
  }
}

/*CONFIGURACION DEL PIE DE PAGINA*/
.copyright {
  width: 100%;
  height: 2px;
  text-align: center;
  padding: 5px 0;
  background: #0070C0;
  font-weight: 100;
  margin-top: 1px;
}

.copyright i {
  color: red;
}

/*---mapa configuration-----------------*/
.map {
  filter: grayscale(30%) invert(80%) contrast(100%);
}


/*-------------configuracion para sitio responsivo------------------*/

/* Menú hamburguesa oculto por defecto */
nav .fas {
  display: none;
}

/* Media Query para dispositivos con un ancho máximo de 600px */
@media only screen and (max-width: 600px) {
  /* Cambiar la imagen de fondo en dispositivos móviles */
  #header {
    background-image: url(images/background2.png);
    height: 400px;
  }

  /* Ajustar el texto en el encabezado */
  .header-txt {
    margin-top: 20%;
    font-size: 16.5px;
  }

  .header-txt h1 {
    font-size: 25px;
  }

  .responsive{
    font-size: 20px;
    text-align: center;
  }

  /* Mostrar icono de menú hamburguesa */
  nav .fas {
    display: block;
    font-size: 30px;
    color: white;
    cursor: pointer;
  }

  /* Estilo del menú en versión móvil */
  nav ul {
    background: #0070C0;
    position: fixed;
    top: 0;
    right: -200px;
    width: 200px;
    height: 50vh;
    padding-top: 60px;
    z-index: 2;
    transition: right 0.5s ease;
  }

  /* Menú en lista de navegación */
  nav ul li {
    display: block;
    margin: 25px;
  }

  /* Estilo para el icono de cerrar */
  nav ul .fas {
    position: absolute;
    top: 25px;
    left: 25px;
    cursor: pointer;
  }

  /* Cambiar el tamaño de los subtítulos */
  .sub-title {
    font-size: 30px;
    
  }

  .sub-title2 {
    font-size: 30px;
  }

  /* Ajustar las columnas en la sección "About" */
  .about-col-1, .about-col-2 {
    flex-basis: 100%;
  }

  .about-col-1 {
    margin-bottom: 30px;
    justify-content: center;
    margin-left: 80px;
    align-items: center;
  }

  .about-col-2 {
    font-size: 20px;
  }

  /* Ajustar el tamaño de los enlaces de tabs */
  .tab-links {
    font-size: 16px;
    margin-right: 10px;
  }

  /* Ajustes en el diseño del contacto */
  .contact-left, .contact-right {
    flex-basis: 100%;
  }

  /* Reducir el tamaño de la fuente en el pie de página */
  .copyright {
    font-size: 16px;
  }

  /* Cambiar el diseño de los servicios */
  .services-List {
    height: auto;
    width: 100%;
    padding: 10px;
  }
}

/* Agregar interacción para el icono hamburguesa */
nav .fas:click {
  nav ul {
    right: 0;
  }
}
